Package com.google.protobuf

# Interface TypeOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Type`, `Type.Builder`

public interface TypeOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getEdition()`
`string edition = 7 [json_name = "edition"];`
`ByteString`
`getEditionBytes()`
`string edition = 7 [json_name = "edition"];`
`Field`
`getFields(int index)`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`int`
`getFieldsCount()`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`List<Field>`
`getFieldsList()`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`FieldOrBuilder`
`getFieldsOrBuilder(int index)`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`List<? extends FieldOrBuilder>`
`getFieldsOrBuilderList()`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`String`
`getName()`
`string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`string name = 1 [json_name = "name"];`
`String`
`getOneofs(int index)`
`repeated string oneofs = 3 [json_name = "oneofs"];`
`ByteString`
`getOneofsBytes(int index)`
`repeated string oneofs = 3 [json_name = "oneofs"];`
`int`
`getOneofsCount()`
`repeated string oneofs = 3 [json_name = "oneofs"];`
`List<String>`
`getOneofsList()`
`repeated string oneofs = 3 [json_name = "oneofs"];`
`Option`
`getOptions(int index)`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`int`
`getOptionsCount()`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`List<Option>`
`getOptionsList()`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`OptionOrBuilder`
`getOptionsOrBuilder(int index)`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`List<? extends OptionOrBuilder>`
`getOptionsOrBuilderList()`
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`
`SourceContext`
`getSourceContext()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`SourceContextOrBuilder`
`getSourceContextOrBuilder()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`Syntax`
`getSyntax()`
`.google.protobuf.Syntax syntax = 6 [json_name = "syntax"];`
`int`
`getSyntaxValue()`
`.google.protobuf.Syntax syntax = 6 [json_name = "syntax"];`
`boolean`
`hasSourceContext()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getName

String getName()
`string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### getFieldsList

List<Field> getFieldsList()
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`

### getFields

Field getFields(int index)
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`

### getFieldsCount

int getFieldsCount()
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`

### getFieldsOrBuilderList

List<? extends FieldOrBuilder> getFieldsOrBuilderList()
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`

### getFieldsOrBuilder

FieldOrBuilder getFieldsOrBuilder(int index)
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`

### getOneofsList

List<String> getOneofsList()
`repeated string oneofs = 3 [json_name = "oneofs"];`

Returns:
  A list containing the oneofs.

### getOneofsCount

int getOneofsCount()
`repeated string oneofs = 3 [json_name = "oneofs"];`

Returns:
  The count of oneofs.

### getOneofs

String getOneofs(int index)
`repeated string oneofs = 3 [json_name = "oneofs"];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The oneofs at the given index.

### getOneofsBytes

ByteString getOneofsBytes(int index)
`repeated string oneofs = 3 [json_name = "oneofs"];`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the oneofs at the given index.

### getOptionsList

List<Option> getOptionsList()
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`

### getOptions

Option getOptions(int index)
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`

### getOptionsCount

int getOptionsCount()
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`

### getOptionsOrBuilderList

List<? extends OptionOrBuilder> getOptionsOrBuilderList()
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`

### getOptionsOrBuilder

OptionOrBuilder getOptionsOrBuilder(int index)
`repeated .google.protobuf.Option options = 4 [json_name = "options"];`

### hasSourceContext

boolean hasSourceContext()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

Returns:
  Whether the sourceContext field is set.

### getSourceContext

SourceContext getSourceContext()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

Returns:
  The sourceContext.

### getSourceContextOrBuilder

SourceContextOrBuilder getSourceContextOrBuilder()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

### getSyntaxValue

int getSyntaxValue()
`.google.protobuf.Syntax syntax = 6 [json_name = "syntax"];`

Returns:
  The enum numeric value on the wire for syntax.

### getSyntax

Syntax getSyntax()
`.google.protobuf.Syntax syntax = 6 [json_name = "syntax"];`

Returns:
  The syntax.

### getEdition

String getEdition()
`string edition = 7 [json_name = "edition"];`

Returns:
  The edition.

### getEditionBytes

ByteString getEditionBytes()
`string edition = 7 [json_name = "edition"];`

Returns:
  The bytes for edition.